"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2830>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa28c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2950>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa29e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2a70>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2b00>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2b90>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2c20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2cb0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2d40>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2dd0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2e60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2ef0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa2f80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3010>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa30a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3130>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa31c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3250>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa32e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3370>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3400>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3490>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3520>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3640>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa35b0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa36d0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3760>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa37f0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3880>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3910>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa39a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3a30>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3ac0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3b50>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3be0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3c70>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3d00>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3d90>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3e20>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3eb0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93aa3f40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0040>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af00d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0160>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af01f0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0280>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0310>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af03a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0430>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af04c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0550>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af05e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0670>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0700>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0790>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0820>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af08b0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0940>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af09d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0a60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0af0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0b80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0c10>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0ca0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0e50>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0d30>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0ee0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af0f70>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1000>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1090>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1120>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1240>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af11b0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af12d0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1360>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af13f0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1510>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1480>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af15a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1630>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af16c0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1750>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af17e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fee93af1870>)]
name: str = 'fr_HOCCN'
